import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex)

export default new Vuex.Store({
  state: {
    list: [],
    code: '',
    identity: ''
  },
  getters: {
    list: state => state.list,
    code: state => state.code,
    identity: state => state.identity
  },
  mutations: {
    SET_LIST(state, list = []) {
      state.list = list
    },
    SET_CODE(state, code = '') {
      state.code = code
    },
    SET_IDENTITY(state, identity) {
      state.identity = identity
    }
  },
  actions: {
  },
  modules: {
  }
})
